import http from "@/http/http";

enum Api {
    syncChannelProduct = '/api/sync/syncChannelProduct',//"渠道产品"同步数据接口
    syncCustomer = '/api/sync/syncCustomer',//"客户信息"同步数据接口
    syncProvider = '/api/sync/syncProvider',//渠道商
    synUser = '/api/sync/synSysUser',  // 用户信息
    ratePullList = '/api/CentralBankRatePull/ratePull',
    fedexRateRatioPull = '/api/fedexRateRatioPull/fedexRateRatioPull'
}

/**
 * "渠道产品"同步数据接口
 */
export const api_SyncChannelProduct = async () => {
    return await http.get(Api.syncChannelProduct)
}

/**
 * "客户信息"同步数据接口
 */
export const api_SyncCustomer = async () => {
    return await http.get(Api.syncCustomer)
}

/**
 * "渠道商"同步数据接口
 */
export const api_SyncProvider = async () => {
    return await http.get(Api.syncProvider)
}

/**
 * 用户信息
 * @returns 
 */
export const api_SyncUser = async () => {
    return await http.get(Api.synUser)
}

/**
 * 汇率拉取
 * @returns 
 */
export const api_RatePullList = async (params: { oldDataCover: boolean }) => {
    return await http.get(Api.ratePullList, params)
}

/**
 * Fedex税率拉取
 * @returns 
 */
export const api_fedexRateRatioPull = async () => {
    return await http.get(Api.fedexRateRatioPull)
}